Problem loading PVRGeoPod plug-in for Mac Maya 2017

This topic contains 10 replies, has 2 voices, and was last updated by  CarlosSarria 6 months ago.

Viewing 11 posts - 1 through 11 (of 11 total)
  • Author
    Posts
  • #56111

    Adam
    Member

    I’m trying to load the PVRGeoPOD plug-in for Mac Maya 2017. I’ve put everything in the correct directly and attempted to load through Maya, but get the following error:

    // Error: line 1: Unable to dynamically load : /Users/Shared/Autodesk/maya/plug-ins/PVRGeoPOD_v2017.bundle
    dlopen(/Users/Shared/Autodesk/maya/plug-ins/PVRGeoPOD_v2017.bundle, 1): Library not loaded: /Users/Shared/qt/4.8.6/lib/QtCore.framework/Versions/4/QtCore
    Referenced from: /Users/Shared/Autodesk/maya/plug-ins/PVRGeoPOD/QtGui.framework/Versions/4/QtGui
    Reason: image not found //
    // Error: line 1: dlopen(/Users/Shared/Autodesk/maya/plug-ins/PVRGeoPOD_v2017.bundle, 1): Library not loaded: /Users/Shared/qt/4.8.6/lib/QtCore.framework/Versions/4/QtCore
    Referenced from: /Users/Shared/Autodesk/maya/plug-ins/PVRGeoPOD/QtGui.framework/Versions/4/QtGui
    Reason: image not found (PVRGeoPOD_v2017) //

    What can I do to fix this?

    #56130

    Hi Adam,

    I am sorry that there are still problems on Maya 2017. The documentation is wrong and the path where the plugin should be copied is: /Users/Shared/Autodesk/maya/plug-ins/
    Sadly, I have found that the plugin we have released crashes. It was fully tested before release, but I think we might have introduced a bug in one of the last minute re-spins. I am having a look at this now.

    Thanks.

    Carlos.

    #56131

    Adam
    Member

    Do you have any idea when this will be fixed? Getting Maya files into .pod format on Mac is crucial to our workflow – and suddenly it seems impossible?

    #56136

    Hi Adam,

    I am looking into this right now, but I do not know yet what is the problem so I cannot give you an estimate. I will update you with a new version as soon as I’ve got it fixed. I the mean time, maybe you could export to FBX and from there to POD using our stand-alone exporter. It is not as convenient but it might unblock you in the mean time.

    Regards.

    Carlos.

    #56159

    Hi Adam,

    I have fixed this issue. I have tested it on Maya 2017 and it seems fine now.
    This fix will be in our next release. In the mean-time I have copied it here:
    http://cdn.imgtec.com/sdk/HotFix/PVRGeoPOD_Mac_REL_17.1@4745951.tar.gz

    Regards.

    Carlos.

    #56160

    Adam
    Member

    Followed instructions in attached file and although I don’t get any error messages now, the file doesn’t ‘load’ when I click on it in the plug-in manager.

    Attachments:
    #56162

    Hi Adam,

    The instructions are correct. Just copy the contents of PVRGeoPOD\Plugins\Maya\2017\OSX_x86
    (PVRGeoPOD_v2017.bundle and the PVRGeoPOD folder)
    in
    /Users/Shared/Autodesk/maya/2017/plugins

    I do not have any problem loading it.
    Maya should give you a message if the plugin does not load. What does it say?

    Thanks.

    Carlos.

    #56163

    Adam
    Member

    Pretty much back to original problem:

    // Error: line 1: Unable to dynamically load : /Users/Shared/Autodesk/maya/2017/plug-ins/PVRGeoPOD_v2017.bundle
    dlopen(/Users/Shared/Autodesk/maya/2017/plug-ins/PVRGeoPOD_v2017.bundle, 1): Library not loaded: /Users/Shared/qt/4.8.6/lib/QtCore.framework/Versions/4/QtCore
    Referenced from: /Users/Shared/Autodesk/maya/2017/plug-ins/PVRGeoPOD/QtGui.framework/Versions/4/QtGui
    Reason: image not found //
    // Error: line 1: dlopen(/Users/Shared/Autodesk/maya/2017/plug-ins/PVRGeoPOD_v2017.bundle, 1): Library not loaded: /Users/Shared/qt/4.8.6/lib/QtCore.framework/Versions/4/QtCore
    Referenced from: /Users/Shared/Autodesk/maya/2017/plug-ins/PVRGeoPOD/QtGui.framework/Versions/4/QtGui
    Reason: image not found (PVRGeoPOD_v2017) //

    As mentioned, I’ve gone back to following only your official documentation with this new update you’ve linked to.

    Your computer however probably has a lot of the other fixes etc. mentioned previously in this topic being applied also.

    • This reply was modified 6 months ago by  Adam.
    #56165

    Hi Adam,

    That was my fault. The path to QT was wrong (as before). It works for me because I have QT installed.
    I have fixed all paths and I have tested it removing the QT installation and now it should work fine for you (fingers crossed).
    I have copied an new version here: http://cdn.imgtec.com/sdk/HotFix/PVRGeoPOD_Maya2017.tgz

    Regards.

    Carlos.

    #56166

    Adam
    Member

    Works now! Thanks

    #56167

    Hi Adam,

    Glad that finally it works for you 🙂
    I will put all the fixes in our next official release.

    Regards.

    Carlos.

Viewing 11 posts - 1 through 11 (of 11 total)
You must be logged in to reply to this topic.